Get webhook details
Get details for a webhook.
Required permissions: WEBHOOK
get/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+webhookUidstringRequiredPattern:
Reference to a webhook
^[A-Za-z0-9-_]+httpTransportUidstringRequiredPattern:
Reference to a Http Transport.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
Webhook Response
actionstring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| PRODUCT_CREATE | Create new product |
| PRODUCT_UPDATE | Update existing product |
| PRODUCT_DELETE | Product deleted |
| CUSTOMER_CREATE | Create new customer |
| CUSTOMER_UPDATE | Update existing customer |
| CUSTOMER_DELETE | Customer deleted |
| ORDER_SETTLED | New order. Order status is SETTLED |
| ORDER_STATE_CHANGE | Order changes state |
| ORDER_RECEIPT_SETTLED | A receipt is SETTLED |
| ORDER_DELIVERED | Existing order. Order status DELIVERED |
| ORDER_LINE_DELIVERED | An order line has been delivered |
| ORDER_HANDLING_STATE_CHANGED | An order handling state changed (notably when set to NOT_STARTED, IN_PROGRESS, ON_HOLD, or COMPLETE) |
| TILL_CLOSED | Till has been counted and closed. |
| TILL_OPEN | Till has been opened. |
| PRICE_CREATE | Create new price. |
| PRICE_UPDATE | Update Price. |
| PRICE_DELETE | Price deleted |
| STOCK_CHANGE | Stock for a warehouseUid and productUid has changed. |
| PRODUCT_MEDIA_CHANGE | Product media has changed (create/update/delete). |
| PURCHASE_RECEIVED | Purchase order fully received |
| ORDER_LINE_RESERVATION_CHANGE | Order line reservation changed |
webhookUidstringRequiredPattern:
^[A-Za-z0-9-_]+get/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}
GET /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"action": "PRODUCT_CREATE",
"httpTransport": {
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
},
"webhookUid": "text"
}Last updated
Was this helpful?

